Bug 855439 - Error on repo units search for distribution
Error on repo units search for distribution
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Hrivnak
Preethi Thomas
:
Depends On:
Blocks: 848520
  Show dependency treegraph
 
Reported: 2012-09-07 14:30 EDT by Preethi Thomas
Modified: 2013-09-09 12:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:10:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-07 14:30:48 EDT
Description of problem:

[root@preethi-el6-pulp ~]# pulp-admin repo units distribution --repo-id rhel6_2
+----------------------------------------------------------------------+
                        Repository Distributions
+----------------------------------------------------------------------+

An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.



012-09-07 14:34:06,542 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/core.py", line 475, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 891, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/extensions.py", line 220, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/pulp/admin/extensions/rpm_units_search/pulp_cli.py", line 355, in run
    all_distros = self.context.server.repo_unit_search.search(repo_id, criteria).response_body
AttributeError: 'Bindings' object has no attribute 'repo_unit_search'


Version-Release number of selected component (if applicable):
-bash: AttributeError:: command not found
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-09-07 16:06:15 EDT
commit 0d4a978d9804d8844585b9df16b735bb442b0f81
Merge: e749058 e264adf
Author: Jason Dobies <jason.dobies@redhat.com>
Date:   Fri Sep 7 13:05:38 2012 -0700

    Merge pull request #41 from pulp/mhrivnak-855439
    
    855439 - Changed legacy command to use a temporary, backward-compatible ...
Comment 2 Jeff Ortel 2012-09-20 14:00:41 EDT
build: 2.0.4
Comment 3 Preethi Thomas 2012-09-20 14:52:25 EDT
verified
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.5-1.el6.noarch
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-admin repo units distribution --repo-id rhel6_2
+----------------------------------------------------------------------+
                        Repository Distributions
+----------------------------------------------------------------------+

Id:            ks-Red Hat Enterprise Linux-Server-6.2-x86_64
Family:        Red Hat Enterprise Linux
Architecture:  x86_64
Variant:       Server
Storage Path:  /var/lib/pulp/content/distribution/ks-Red Hat Enterprise
Linux-Server-6.2-x86_64

Files:
  Filename:       initrd.img
  Relative Path:  images/pxeboot/initrd.img
  Size:           0
  Checksum Type:  sha256
  Checksum:       df697cb4c942ccede664c68feda9c59c75f28b97fdb29535fd927f0066ed61
                  81

  Filename:       vmlinuz
  Relative Path:  images/pxeboot/vmlinuz
  Size:           0
  Checksum Type:  sha256
  Checksum:       10b11dc4c3c4d96c780aacd0345f92a92e3d3ee456cc7b1146b89bdcf20979
                  65

  Filename:       boot.iso
  Relative Path:  images/boot.iso
  Size:           0
  Checksum Type:  sha256
  Checksum:       062890cf39315999d3cacfcdb3894890f8d327d5199890756de48444a9cd18
                  a3

  Filename:       efiboot.img
  Relative Path:  images/efiboot.img
  Size:           0
  Checksum Type:  sha256
  Checksum:       878dfbbf8d217c1521a44349e30b863695efcf2fcd77ff47b2c0c3152854a4
                  7e

  Filename:       install.img
  Relative Path:  images/install.img
  Size:           0
  Checksum Type:  sha256
  Checksum:       766cb3c66c99e6a13d58e8740cb3b20f9dfb6f4a26a7f3db39b7dcc48ea7e5
                  43

  Filename:       efidisk.img
  Relative Path:  images/efidisk.img
  Size:           0
  Checksum Type:  sha256
  Checksum:       84f3e10a25bedd2581e34fb8c070b1ce21db26c73eb422d3b2cfb71f468ad8
                  b0
Comment 4 Preethi Thomas 2013-01-07 09:10:06 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.